<?php

namespace Drupal\o365_sharepoint_field\Plugin\CKEditorPlugin;

use Drupal\ckeditor\CKEditorPluginBase;
use Drupal\editor\Entity\Editor;

/**
 * Defines the "SharePoint File Search" plugin, with a CKEditor.
 *
 * @CKEditorPlugin(
 *   id = "sharepoint",
 *   label = @Translation("Office 365 - Sharepoint File Search"),
 *   module = "o365_sharepoint_field"
 * )
 */
class SharePoint extends CKEditorPluginBase {

  /**
   * {@inheritdoc}
   */
  public function getFile() {
    return drupal_get_path('module', 'o365_sharepoint_field') . '/js/plugins/sharepoint/plugin.js';
  }

  /**
   * {@inheritdoc}
   *
   * NOTE: The keys of the returned array corresponds to the CKEditor button
   * names. They are the first argument of the editor.ui.addButton() or
   * editor.ui.addRichCombo() functions in the plugin.js file.
   */
  public function getButtons() {
    return [
      'Sharepoint' => [
        'label' => $this->t('SharePoint'),
        'image' => drupal_get_path('module', 'o365_sharepoint_field') . '/js/plugins/sharepoint/sharepoint.png',
      ],
    ];
  }

  /**
   * {@inheritdoc}
   */
  public function getConfig(Editor $editor) {
    return [];
  }

}
