<?php

namespace Drupal\o365\Block;

use Drupal\Core\Access\AccessResult;
use Drupal\Core\Block\BlockBase;
use Drupal\Core\Session\AccountInterface;

/**
 * Custom block base for o365 for access checking.
 */
class O365BlockBase extends BlockBase {

  /**
   * {@inheritdoc}
   */
  public function build() {
    // This doesn't do anything.
  }

  /**
   * {@inheritdoc}
   */
  public function access(AccountInterface $account, $return_as_object = FALSE) {
    $access = AccessResult::forbidden();
    // Anonymous can never view these blocks.
    if (!$account->isAnonymous()) {
      /** @var \Drupal\o365\GraphService $graphService */
      $graphService = \Drupal::service('o365.graph');

      // Allow access when user is a MS user.
      if ($graphService) {
        if ($graphService->getCurrentUserId()) {
          $access = AccessResult::allowed();
        }
      }
    }

    return $return_as_object ? $access : $access->isAllowed();
  }

}
